org.eclipse.emf.facet.query.ocl.metamodel.oclquery

## Interface OclQueryPackage

    public interface OclQueryPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `OclQueryFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `OclQueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static OclQueryPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `OCL_QUERY` The meta object id for the '`Ocl Query`' class.
`static int` `OCL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `OCL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `OCL_QUERY__CONTEXT` The feature id for the 'Context' reference.
`static int` `OCL_QUERY__OCL_EXPRESSION` The feature id for the 'Ocl Expression' attribute.
`static int` `OCL_QUERY_FEATURE_COUNT` The number of structural features of the 'Ocl Query' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EReference` `getOclQuery_Context()` Returns the meta object for the reference '`Context`'.
`EAttribute` `getOclQuery_OclExpression()` Returns the meta object for the attribute '`Ocl Expression`'.
`EClass` `getOclQuery()` Returns the meta object for class '`Ocl Query`'.
`OclQueryFactory` `getOclQueryFactory()` Returns the factory that creates the instances of the model.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final OclQueryPackage eINSTANCE

The singleton instance of the package.

Generated:

#### OCL_QUERY

    static final int OCL_QUERY

The meta object id for the '`Ocl Query`' class.

See Also:
  `org.eclipse.emf.facet.query.ocl.metamodel.oclquery.impl.OclQueryImpl`, `org.eclipse.emf.facet.query.ocl.metamodel.oclquery.impl.OclQueryPackageImpl#getOclQuery()`, Constant Field Values
Generated:

#### OCL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int OCL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### OCL_QUERY__CAN_BE_CACHED

    static final int OCL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### OCL_QUERY__CONTEXT

    static final int OCL_QUERY__CONTEXT

The feature id for the 'Context' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### OCL_QUERY__OCL_EXPRESSION

    static final int OCL_QUERY__OCL_EXPRESSION

The feature id for the 'Ocl Expression' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### OCL_QUERY_FEATURE_COUNT

    static final int OCL_QUERY_FEATURE_COUNT

The number of structural features of the 'Ocl Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getOclQuery

    EClass getOclQuery()

Returns the meta object for class '`Ocl Query`'.

Returns:
  the meta object for class 'Ocl Query'.
See Also:
  `OclQuery`
Generated:

#### getOclQuery_Context

    EReference getOclQuery_Context()

Returns the meta object for the reference '`Context`'.

Returns:
  the meta object for the reference 'Context'.
See Also:
  `OclQuery.getContext()`, `getOclQuery()`
Generated:

#### getOclQuery_OclExpression

    EAttribute getOclQuery_OclExpression()

Returns the meta object for the attribute '`Ocl Expression`'.

Returns:
  the meta object for the attribute 'Ocl Expression'.
See Also:
  `OclQuery.getOclExpression()`, `getOclQuery()`
Generated:

#### getOclQueryFactory

    OclQueryFactory getOclQueryFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: